commit ec3ccb22d4e7348ac537100fcb1b7ddc07df57b8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 27 11:13:18 2013 +1000

    keyboard 1.7.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ad2a1dd1aa19999eb777f330242d46254b29b9cb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 17 14:07:12 2012 +1000

    Use sigsafe logging for keyboard debug messages
    
    This changes the log format to simple hex display, the server's signal-safe
    printf implementation doesn't handle %2.2x.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4a954bc6a8fbc4aa50dfcabec011274252713204
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 9522f28a8f90680942e42902678c963c6981b0d1
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jan 16 13:11:11 2013 -0500

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 6e51df6dd4255cbe311ec98e21a1cc94975271a1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 23 22:04:45 2012 -0700

    xf86-input-keyboard 1.6.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8d3edb688115d3100d7ac6fa9ed407494e435c43
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 24 21:36:17 2012 -0700

    Link with $(XORG_LIBS) to support no-undefined linking
    
    Will be empty on most platforms, set to the -z parent=Xorg flag on
    Solaris if building with the support for enforcing no undefined symbols.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dd6f110c4568dc0922bae47530906b01396e2d41
Author: François Tigeot <ftigeot@wolfpond.org>
Date:   Sat May 5 13:12:10 2012 +0200

    Recognize DragonFly as a BSD system.
    
    This patch has actually been present for more than 4 years in the
    pkgsrc tree.
    
    Originally-from: Jörg Sonnenberger
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit da5ccb256acf6cbb817d68499e0d9f533f750628
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 30 19:34:44 2012 -0700

    Solaris: ensure "Device" option is set, even if HAL didn't set it for us
    
    Handles fallback to default /dev/kbd when AutoAddDevices is False and
    Device option is not manually set in xorg.conf, so that xinput device
    node property can be correctly set to it.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e63cb5ecc5ab7239c9c285920244cc89e5853920
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 27 17:51:22 2012 -0700

    Set XI_PROP_DEVICE_NODE property to string from "Device" option
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Alexandr Shadchin <alexandr.shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ed35abe0da1a9134ee126df88608b33892ae4313
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Jan 18 18:13:08 2012 -0800

    Solaris: Use uchar_t, not int, for led masks in KIOCSLED/KIOCGLED ioctls
    
    Avoids checking/setting the wrong bits on big endian machines like SPARC.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a6a0dee4178600a5a9403f69c22bd4eb483fbd34
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jan 4 10:45:09 2012 +1000

    keyboard 1.6.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 45f9f4552c4dab2efc29fd4d3d5c1a9dcd7c34b3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 4 09:16:17 2011 +1000

    man: link to xkeyboard-config(7) (#14494)
    
    X.Org Bug 14494 <http://bugs.freedesktop.org/show_bug.cgi?id=14494>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 20beb15d24b5f8ab194b94f7e29f49e91ea38a8b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Sep 26 09:56:17 2011 +1000

    Remove calls to xf86IsPc98()
    
    This call is being removed from the server and this isn't worth keeping
    ifdefs around for.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 38e4defe795776479594825859e101cd7cb5aa17
Author: Terry Lambert <tlambert@chromium.org>
Date:   Fri Jul 15 17:23:22 2011 -0700

    Return proper default for unknown values in pInfo->device_control.
    
    Signed-off-by: Terry Lambert <tlambert@chromium.org>
    Reviewed-by: Stephane Marchesin <marcheu@chromium.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e8aa2ff0629111fbc32d71bbbc46b469c0c9a996
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Jun 11 10:26:46 2011 +0200

    man: update "rules" default value for xkeyboard-config.
    
    xkeyboard-config is using "base" not "xorg" as default rules.
    While there remove references to unmaintained PC98 settings.
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0b9cd5121e1025e95a7e32addb675ab874bc6cb1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 8 09:38:29 2011 +1000

    keyboard 1.6.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 24ee4f6738955d507f500a90fda8153f19dd5038
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 7 12:05:48 2011 +1000

    man: explain what grp_led:scroll does in the example conf section
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed by: Magnus Kessler <Magnus.Kessler@gmx.net>

commit d5634b77b578721e2bb2734f5fd92090e9d4c330
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 7 11:35:44 2011 +1000

    man: list xorg.conf.d snippets as possible configuration location
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed by: Magnus Kessler <Magnus.Kessler@gmx.net>

commit 89358c49e519c7a1e0f9a9544f9c03b5d9c2115d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 7 11:34:21 2011 +1000

    man: don't mention the core keyboard.
    
    Core devices are an obsolete concept these days.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed by: Magnus Kessler <Magnus.Kessler@gmx.net>

commit 6496bb21074faff2642e09389b5476225dc4fdb3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 09:59:14 2011 +1000

    keyboard 1.5.99.901
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 15f0a4b71b4580c7dd9a0abd7b8fb92756b6733a
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Thu Feb 17 15:40:29 2011 +0500

    Removed unnecessary code, since ABI_XINPUT_VERSION >= 2
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit de7a5c120f646e293cc216007a5df865b41833b8
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Thu Feb 17 15:40:28 2011 +0500

    Require server 1.4 or later
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a02757d7c3d8018f44c63553578763fcef41bcca
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Wed Feb 16 13:21:03 2011 +0500

    Cleanup set the value of CustomKeycodes
    
    Also, do not print values of variables CustomKeycodes twice.
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f45f3dbcf1f2a54d7d6a51d6e9884820cff4be12
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Fri Feb 11 15:33:00 2011 +0500

    Do not print values of Protocol twice
    
    Protocol printed when found in xf86SetStrOption().
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6fca7f2371c113796d4cf27cca5635f3c6fb30af
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Fri Feb 11 15:32:59 2011 +0500

    Remove unused XQUEUE
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8a540fa439bd7ea30c49d43ff3339ab599a7ba14
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Fri Feb 11 15:32:57 2011 +0500

    lnx: Fix detect CustomKeycodes for __powerpc__
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 849f5092efd770cf169ce9950e9dbb0bccbf9017
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Sat Jan 8 17:09:10 2011 +0500

    Removing unused bell_pitch and bell_duration
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit dd9ed7921ccffff9cacb6dc128b3f426f9312535
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Sat Jan 8 20:09:48 2011 +0500

    Removing unused PROT_XQUEUE and PROT_USB
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 78652023a9f7758635e5507255826d79fbb2b028
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Sat Jan 8 17:09:38 2011 +0500

    bsd: Replace deprecated xfree/xcalloc with free & calloc
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f7a81ab4225e14a50e26a49a0a17a2cf773a4ab1
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Sat Jan 8 17:08:41 2011 +0500

    Remove random History comment and OS_KBD_VERSION_CURRENT
    
    In xf86-input-mouse similar cleanup already done, can also make for keyboard?
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e2f6e5d976ff8bbe68dc41b51d983cc95c11db84
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Thu Jan 6 14:43:13 2011 +0500

    Do not print values of variables XkbRules etc. twice
    
    xf86SetStrOption prints in log value of the variables XkbRules etc.,
    there is no need to take this information twice.
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7d03efb3a3af77ca6831492a793d18b89cc64083
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Thu Jan 6 13:37:39 2011 +0500

    bsd: Fix print wscons type keyboard for Sun5
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 40ed9bb3dc87702510d5e54c42a60a2cdd73c135
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Thu Jan 6 13:21:35 2011 +0500

    Fix default options for PC98
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e929446a401e73bcc680c488ada2fc50eb225b23
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Thu Jan 6 12:59:19 2011 +0500

    Removing unused SetKbdRepeat
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cc1a2ba8c9aa3a4bed25394c981b41c903502c84
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Dec 23 15:53:32 2010 -0800

    sun_kbd: Replace deprecated xfree/xcalloc with free & calloc
    
    Also greatly simplified option/pointer handling to avoid generating
    new warnings from passing const char * pointers to free()
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bd099b5a87399d6ff1fd324172bfcc4bc07a362b
Author: Javier Acosta <javier.acosta@oracle.com>
Date:   Thu Dec 23 09:43:51 2010 -0800

    Make key codes for Sun Japanese keyboard match xkb-config mappings
    
    Solaris bug #7005752:
      http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=7005752
    
    Signed-off-by: Javier Acosta <javier.acosta@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cb8b2fca90810a1a2d6e5f930e4eac0f929947c6
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Tue Nov 30 20:12:24 2010 +0500

    Removing unused OpenBSD PCCONS code
    
    In OpenBSD removed support PCCONS in 2002 year
    http://marc.info/?l=openbsd-cvs&m=102435816424294&w=2
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 26af626a2c4afba858a32bbb42077f8661d3de4f
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Jan 3 12:42:58 2011 -0500

    linux: warning fixes
    
    lnx_KbdMap.c: In function 'KbdGetMapping':
    lnx_KbdMap.c:44:17: warning: unused variable 'type'
    lnx_KbdMap.c:42:13: warning: unused variable 'pKbd'
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 492c14cdd1c4b950c475633a64086235d3550f5b
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Jan 3 12:40:25 2011 -0500

    bsd: Include fix
    
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Alexandr Shadchin <alexandr.shadchin@gmail.com>

commit a72c47487b67ad7134045d551dbe222eb4662058
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Jan 3 12:37:34 2011 -0500

    Remove unused code
    
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Alexandr Shadchin <alexandr.shadchin@gmail.com>

commit 6c368bc3aa6d8e1b33d128a22f98ecda0d037e3b
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Dec 17 16:35:49 2010 -0500

    Remove paranoia about event processing during suspend
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 155b3e80fc95ea8397bc66fad18f5fa68d54a88e
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Nov 29 21:02:39 2010 +0500

    Removing unused variables vtSwitchSupported and VTSwitchEnabled
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f11f2a7b5643cde57440102ad822995c70b142fb
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Sat Nov 27 02:39:13 2010 +0500

    Removing unused variable kbdType.
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6e97362d7eee5b81bc8681559fbd8a8f6137915c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 15:25:03 2010 +1000

    Adjust to input ABI 12.
    
    New PreInit prototype and a few other things.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 90f69d7b859caff9f51b6fe20580582a91ed6d0d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 09:15:11 2010 -0700

    xf86-input-keyboard 1.5.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 53f3eb734fe4dfccbce602b3dd19ee06e0850c44
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 30 09:13:47 2010 -0700

    Sun's copyrights now belong to Oracle
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 251c5d6dcc09c46be67274853e79026cc3d10fd4
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Mon Oct 18 11:38:48 2010 -0400

    Code cleanup, structure initialization.
    
    The InputDriverRec data structure in xserver/hw/xfree86/common/xf86Xinput.h
    no longer contains an integer refCount member.
    
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 25d1e340eec73b010c4a5b1160aa0fa762a41cd0
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Mon Oct 18 11:38:28 2010 -0400

    Deprecated code cleanup.
    
    Replace calls to deprecated functions with calls to standard dynamic
    memory functions in driver code.
    
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ed3458c0b534a15777b7305cd594e1f9181c80b8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jun 18 14:37:44 2010 +1000

    Don't set AutoRepeat if we're not actually using it.
    
    Autorepeat was removed from the driver with version 1.4.0. So there is not
    much point in setting this option anymore.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3a8bae0fd2275a6dc62a88072b2a3a651840326c
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:50 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 66b222493b3af6b7fc200d8a296317e9f3e1820a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Aug 14 01:11:53 2010 -0700

    Revert "Close device fd when called with DEVICE_CLOSE"
    
    This reverts commit f8e219828db920c4cd7a2645a6194de029dc9bb5.
    (Sorry, failed to finish rebase operation to remove before pushing.
     As noted on xorg-devel, this patch was originally made for 1.3.2
     and needs to be reworked to reflect later upstream changes.)

commit 2aaef2754215d1a9f1073ad32f2ba498ce12188a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 13 11:25:34 2010 +1000

    Remove unused keyboardOptions.
    
    These have been unused since May 2009 when the struct that used them was
    removed from the driver. See fe8d1f70fc7edce4f030766159aebae8f8a89ffc.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 425c1280439fe37497a33c47b5a8432e59cbfb76
Author: Osamu Sayama <osamu.sayama@oracle.com>
Date:   Wed Aug 11 19:00:23 2010 -0700

    sun_kbd: Add mappings for Hangul and Hanja keys on Korean keyboard
    
    Fixes Sun bug 6897086:
      Hangul and Hanja keys on Korean PC 105 keyboard are not recognized
      http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6897086
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f8e219828db920c4cd7a2645a6194de029dc9bb5
Author: Aaron Zang <aaron.zang@sun.com>
Date:   Wed Aug 11 18:55:59 2010 -0700

    Close device fd when called with DEVICE_CLOSE
    
    Fixes Solaris bug 6886424:
     VT - keyboard and mouse do not work when switching to vt7
     http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6886424
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bfb1b7a319eab8e13542cfc00b8407121eabb4d5
Author: Fernando Carrijo <fcarrijo@yahoo.com.br>
Date:   Thu Jul 1 07:12:02 2010 -0300

    Purge macro NEED_EVENTS
    
    Signed-off-by: Fernando Carrijo <fcarrijo@yahoo.com.br>
    Acked-by: Tiago Vignatti <tiago.vignatti@nokia.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1c05b48f976d89519a327c791a9a2bd7149ad581
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jun 16 16:00:01 2010 -0400

    config: restore inputdir automake variable
    
    All input drivers use this variable to set the installation
    path of the input module. For this driver, it was changed
    in commit 708ecbf8557d9e676e3bb07c1f83170f6d9f7cd7.
    One way or another is fine, but breaking a pattern is error prone.
    
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2fb99e01f44f7c1dad3fedb0422f2ae39cbd5e49
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jun 11 13:57:13 2010 -0400

    config: use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS
    
    It depends on util-macros 1.8
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b58f64eb53b5d9a2e116d23c0aee6f1c9079cfa7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jun 11 11:53:46 2010 -0400

    config: use AC_PROG_SED now supplied by XORG_MANPAGE_SECTIONS
    
    It depends on util-macros 1.8
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 53d1fdd3a716ebcee0e75e0097106ff25db38498
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 27 22:01:55 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 652bf3657b116af2d012116b15d01a8bb23e7850
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed May 12 10:59:49 2010 -0400

    config: fix warnings, m4 quoting and layout
    
    Fix some m4 quoting
    Fix some autoconf warnings
    remove AC_PROG_CC as it overrides AC_PROG_C_C99 from XORG_DEFAULT_OPTIONS
    Regroup statements per section
    Add comments
    
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 613b44eb0878adf05a9bb4af01c84766ab5828d2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed May 12 10:55:11 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0aa1afb5b1e52c7e945b3a010372362c3157533b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon May 10 17:36:14 2010 -0400

    config: move inputproto check to PKG_CHECK_MODULES
    
    The XORG_DRIVER_CHECK_EXT macro conditionally adds inputproto
    to PKG_CHECK_MODULES if this extension is defined in xorg-server.h.
    It allows a module to use ifdef XINPUT if the extension is available.
    In this module, the extension is required and not optional.
    
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9a93f9c5ad7c3ddf226dfdc987e60c580b6e0912
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon May 10 17:35:37 2010 -0400

    config: remove extension check for unused RANDR extension
    
    The randr protocol is not used, no randr*.h are included.
    
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2b491ed2339047f906e3008c085411da851b87cd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon May 10 17:14:44 2010 -0400

    config: remove extension check for non-existing XKB extension
    
    This extension name does not exist in xorg-server.h and
    cannot be used in XORG_DRIVER_CHECK_EXT.
    Further more, headers from kbproto are not used.
    
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0ac76bf1a0d5e6b34a89682f1b20f62575ef2389
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon May 10 15:54:08 2010 -0400

    config: Upgrade X.Org macros to 1.4 for INSTALL file copying
    
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1cb8dd780e18283d3dffaff076dd63452573a198
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon May 10 15:51:19 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b89c71e7e956d35f2989d419b1076e8bd6f90e34
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon May 10 15:50:34 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements at the top.
    
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 367c39341e2bf063c0d5f25aa1b51a897281ad57
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon May 10 15:47:14 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit db1e92685155f25dbff3aaac6b7045ad68fe441a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Apr 10 10:16:06 2010 -0400

    config: LNX_KBD_PERIOD_NAME not used since autorepeat was removed
    
    In commit ae630aef17185dd8d2c23d0eb1b3287fa6e26268,
    the autorepeat feature was removed which was the only
    user of LNX_KBD_PERIOD_NAME.
    
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit cee8a4241c86a00b90b74428473680cb022a8b7f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon May 10 11:40:06 2010 -0400

    Remove unused SCO driver files
    
    The SCO driver has never been enabled since the original commit
    95e5d2521fc39a661e13b313e5aa2514ddac9a5e.
    The configure.ac file never sets the IS_SCO variable.
    
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6b7655d6ea0115ea6edabd26aa0bcf0241ab0740
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat May 8 13:37:07 2010 -0400

    Missing #ifdef for PCCONS
    
    PCCONS support is not always present and should be condiontally compiled.
    Refer to xserver definition of PCCONS_SUPPORT
    
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d307dc016485f2811d2d722285a3a6c8a7f8cf12
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat May 8 10:41:19 2010 -0400

    config: remove AH_TOP autoheader statement
    
    The generated config.h does not need to include xorg-server.h
    for the content it provides.
    Add #include <xorg-server.h> in .[hc] files as needed.
    
    Acked-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2dc73fa6308b2ea01b82744a44f8c5c11bfca538
Author: Julien Cristau <jcristau@debian.org>
Date:   Sat Mar 13 12:04:24 2010 +0100

    man: the old xkb options are gone
    
    The kbd manpage mentions the existence of other, undocumented xkb
    options (those allowing to set keycodes/types/compat/symbols/geometry).
    These options are gone as of commit 62e663e (Switch to new XKB API).
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit daf147d10f9eb93c08c4ba0dfe4d61e87a41ddf3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 11 10:08:07 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5e1dacfd0ce3298f8c3d7660af0f8ca995b867b2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:58:07 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit f6e6a09a14b43e01bd378ea0870a474b84b86594
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 22:01:02 2009 -0500

    configure.ac: remove unused sdkdir=$(pkg-config...) statement
    
    The sdkdir variable isn't use, so remove the statement.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4f09bebe936dcad41a53d46d8c8e96337dd3edc4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Dec 16 18:14:59 2009 -0800

    Silence sed substitutions in make output
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit cb635080a484f8e87ed1df5360112ec5e2ad7e88
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 25d30641812834919ec3d3ac8a13f225876b1979
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit c1ff277ae557a2d8967f7dd4b8a8af0031670076
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit b3da011aab766d62e39cc43a7aaf80d9fd20c840
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 08:48:14 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    Pre-req for generating INSTALL file

commit 5fa8e062b246971f478a0da5308fd8ac9743b606
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:20 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 42f1e73f04ceb10533361df8f2d5e82076c8b121
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:16 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit c66f4f9fcc7450f2c1378f6117bda4442d2af8ae
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Oct 7 10:53:14 2009 +1000

    keyboard 1.4.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0c75afb4895b60aa08209ccfee9dfad4e4495f4d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 6 17:02:33 2009 +1000

    Remove now un-used autorepeat field.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit adc1048980113b329d97ebf5b974ca4a50fc86ba
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 6 17:00:58 2009 +1000

    Don't use XKB_DFLT_RULES from the server.
    
    On Linux, the server uses default rules of "evdev" which doesn't apply for
    this driver. For all other cases, the server uses "base", so let's just
    hardcode it here too.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit ecd34ebd43d5a8c0db0a6dd132b61a4c663c7fd8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 6 17:05:56 2009 +1000

    Require macros 1.3 for XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5427034948fd4d59d5d2d50f9188376f23119a72
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Sep 9 11:48:43 2009 +1000

    keyboard 1.3.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 158d33c15df60696946031a0319e2bd2ec8b9541
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Aug 19 18:56:05 2009 -0700

    sun_kbd: Check if streams module is already on the stack before pushing it
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 891d55e759ff6a30f62809081a11c3da20fc0551
Author: Aaron Zang <Aaron.Zang@Sun.COM>
Date:   Thu Aug 13 20:39:59 2009 -0700

    sun_kbd: Use HID ioctl variants to get/set direct mode on usbhid devices
    
    When opening a usb hid* device node directly (instead of via the
    /dev/kbd virtual/coalescing device node), use the HIDIOCKMGDIRECT
    and HIDIOCKMSDIRECT ioctls instead of the KIO* versions.   When
    closing the device, always reset back to direct mode, no matter
    what state we found it in.
    
    Signed-off-by: Aaron Zang <Aaron.Zang@Sun.COM>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 8e42e8f0034d89ef4b6cee44148961f808ba0602
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Aug 5 15:03:43 2009 -0700

    sun_kbd: re-open keyboard if needed in KbdOn
    
    If we closed keyboard in KbdOff, we need to reopen it in KbdOn, or
    will not be able to type after VT switch.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit bba90b4e87be3ae5a13d69f6d9c60aa97761c8d5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 4 21:31:23 2009 -0700

    Sun bug 6852921: Recycling Xorg runs out of file descriptors in kbd driver
    
    http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6852921
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 352aa83c416a78e59be4dfa7d8442e5eec50130a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Aug 4 21:04:24 2009 -0700

    Stop checking for #ifdef __SOL8__ - assume Solaris is at least Solaris 8
    
    If you want to run a pre-1999 kernel, you'll need a pre-2009 X server
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit fe8d1f70fc7edce4f030766159aebae8f8a89ffc
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sat May 30 21:12:34 2009 +1000

    Remove ModuleInfoRec.
    
    This struct was removed with 2107becb0ce2ffda001be65728c53563496d8d50 from
    the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 29f075db9f86aa7e5e01688a5fd5e0081210e16b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 11 15:30:23 2009 +1000

    Return BadValue if the server failed to init the keyboard. (#21278)
    
